<?php

declare (strict_types=1);
namespace App\Plugins\User\src\Models;

use App\Model\Model;
use Carbon\Carbon;
use Hyperf\Database\Model\Events\Saved;
use Hyperf\Database\Model\SoftDeletes;
use Psr\Log\LoggerInterface;

/**
 * @property int $id 
 * @property string $user_id 
 * @property string $title 
 * @property string $content 
 * @property string $action 
 * @property string $status 
 * @property Carbon $created_at
 * @property Carbon $updated_at
 */
class UsersNotice extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'users_notice';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['user_id', 'title', 'content', 'action','created_at', 'updated_at','status','sort'];
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = ['id' => 'integer', 'created_at' => 'datetime', 'updated_at' => 'datetime'];


}